package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class HistoricodeAlteracaodeComensaisPage extends PageBase {
    By Inicio = By.xpath("//*[@class = 'navbar-brand zh-header-title has-header-info']");
    By clicaMenu = By.xpath("//*[@type = 'button']");
    By pesquisaTela = By.xpath("//section[@class = 'zh-container-search-menu']/input");
    By selecionaTela = By.xpath("//span[text() = 'Histórico de Alteração de Comensais']");
    By historicoAlteracao = By.xpath("//div[text() = 'Histórico de Alteração de Comensais']");
    By filtroUnidade = By.xpath("//div[@id = 'NMFILIAL']//span[@zh-icon='no-border search']");
    By informaBusca = By.xpath("//*[@id='popup']/span/section/section/section/section/div/div[2]/div/div[1]/ul/li[2]/div/div/div/div[3]/input");
    By selecionaBusca = By.xpath("//*[@id='grid-9000']/div[2]/div/div/div[1]");
    By filtroServico = By.xpath("//div[@id = 'NMSERVICO']");
    By selecionaServico = By.xpath("//span[text() = '00002 | ALMOÇO ESPECIAL']");
    By limpaFiltroUnidade = By.xpath("//div[@id = 'NMFILIAL']//span[@zh-icon='no-border close-x']");
    By btnAplicarFiltro = By.xpath("//span[text() = 'Aplicar filtro']");
    By confirmaFilialFiltro = By.xpath("//span[@class = 'stripe-value-STRIPE_NMFILIAL']");
    By clicaRegistroAlteracao = By.xpath("//*[@id='grid-18325202414075921612864']/div[2]/div/div[1]/div[1]");
    By visualizaDados = By.xpath("//*[@id='grid-18325202411803391652865']/div[2]/div/div[1]");
    By visualizaNovoRegistro = By.xpath("//*[@id='grid-18325202414075921612864']/div[2]/div/div[9]");
    By btnVoltar = By.xpath("//span[text() = 'Voltar']");
    By ordenaRegistros = By.xpath("//div[@class = 'th grid-align-left']//span[text() = 'Data do Cardápio']");


    public void acessaTelaHistorico(){
        waitForElement(Inicio);
        tempo();
        click(clicaMenu);
        acessarTela(pesquisaTela,"Histórico de Alteração de Comensais");
        tempo();
        click(selecionaTela);
        waitForElement(historicoAlteracao);
        tempo();
    }

    public void realizaFiltro(){
        click(filtroUnidade);
        tempo();
        click(informaBusca);
        clearAndSendKeys(informaBusca,"0002");
        tempo();
        click(selecionaBusca);
        tempo();
        click(filtroServico);
        tempo();
        click(selecionaServico);
        tempo();
        click(btnAplicarFiltro);
        tempo();
    }

    public String retornaFilial(){
        return getText(confirmaFilialFiltro);
    }

    public void visualizaRegistros(){
        click(ordenaRegistros);
        tempo();
        click(clicaRegistroAlteracao);
        tempo();
        click(visualizaDados);
        tempo();
        click(btnVoltar);
        tempo();
        click(btnVoltar);
        tempo();
        click(visualizaNovoRegistro);
        tempo();
        click(visualizaDados);
        tempo();
        click(btnVoltar);
        tempo();
        click(btnVoltar);
        tempo();


    }

}
